{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 34440 characters]",
      "text/plain": [
       "<Figure size 500x300 with 1 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "import sys\n",
    "sys.path.insert(0, \"../../\")\n",
    "\n",
    "import matplotlib.pyplot as plt\n",
    "import numpy as np\n",
    "from editor.operations import get_random_saturation_per_hue_lut\n",
    "\n",
    "\n",
    "plt.figure(figsize=(5, 3))\n",
    "plt.plot(\n",
    "    np.linspace(0, 256, 256),\n",
    "    get_random_saturation_per_hue_lut(),\n",
    ")\n",
    "plt.xlabel(\"Hue\")\n",
    "plt.ylabel(\"Saturation coefficient\")\n",
    "plt.grid(True)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "metadata": {}
   },
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 22968 characters]",
      "text/plain": [
       "<Figure size 500x300 with 1 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "from editor.operations import get_random_brightness_lut\n",
    "\n",
    "\n",
    "plt.figure(figsize=(5, 3))\n",
    "plt.plot(\n",
    "    np.linspace(0, 256, 256),\n",
    "    get_random_brightness_lut(),\n",
    ")\n",
    "plt.ylim(0, 255)\n",
    "plt.xlabel(\"Original brightness\")\n",
    "plt.ylabel(\"New brightness\")\n",
    "plt.grid(True)"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "bipolaroid",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.1.-1"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
